lp:ubuntu/raring/ipython

Created by James Westby on 2012-10-20 and last modified on 2013-04-06
Get this branch:
bzr branch lp:ubuntu/raring/ipython
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Development

Recent revisions

23. By Julian Taylor on 2013-04-06

* New upstream bugfix release
* remove versions from test dependencies
  not supported by autopkgtest package
* add python-lxml to tools test dependencies
* drop dependencies of the tested packages from tests/control Depends

22. By Julian Taylor on 2013-02-02

* New upstream release candidate (LP: #1161818, #1162112)
* pass -a to xvfb-run
* drop DM-Upload-Allowed, not needed anymore
* don't link documentation of ipython-doc so ipython3 does not depend on
  ipython (Closes: #695554)
  Requires ipython-doc.preinst to not lose copyright on upgrade
* add ipython3 and ipython3-qtconsole desktop files (Closes: #693612)
* fix detection of cython modules for multiarch python (Closes: #697704)
* don't install tests for notebook and qtconsole
* bump standard to 3.9.4, no changes required
* add autopkgtests running testsuite and testing tools, cython magics
  and incomplete install message
* fix crash on tracebacks without line numbers (Closes: #701597)
* add tkinter package to debianize-error-messages.patch (Closes: #701707)
* use canonical vcs fields in control

21. By Julian Taylor on 2012-11-25

* update watch file to use github directly
  thanks to Bart Martens for the file
* ipython-doc: break/replace ipython << 0.11-2 (Closes: #694280)

20. By Julian Taylor on 2012-10-21

* New upstream bugfix release
* refresh patches, drop applied except-shadows-builtin-fix.patch
* depend on libjs-jquery >= 1.7 (Closes: #685986)
* drop build depends on dh-linktree and libjs-jquery-ui (Closes: #685985)
  - needs to be added again when we can use the packaged jquery-ui
* drop LC_ALL=C.UTF-8 from build and install, not required anymore
* override dh_python[23] to work around #683108
* build depend on libc-bin (>= 2.13-1~) for C.UTF-8 locale used in tests

19. By Julian Taylor on 2012-10-16

* New upstream bugfix release candidate, commit 5f1e6abdf63
* refresh patches, drop applied except-shadows-builtin-fix.patch
* depend on libjs-jquery >= 1.7 (Closes: #685986)
* drop build depends on dh-linktree and libjs-jquery-ui (Closes: #685985)
  - needs to be added again when we can use the packaged jquery-ui
* drop LC_ALL=C.UTF-8 from build and install, not required anymore
* override dh_python[23] to work around #683108
* build depend on libc-bin (>= 2.13-1~) for C.UTF-8 locale used in tests

18. By Julian Taylor on 2012-06-30

* New upstream release
  No repackging necessary anymore, js sources available in external
  minified variants are not installed
* refresh patches, drop upstream applied full-qt-imports
* add except-shadows-builtin-fix.patch
* drop libjs-jquery-ui dependency, use the embedded development branch
* don't compress the examples
* remove executable permissions on embedded codemirror files
* build with LC_ALL=C.UTF-8 to avoid a unicode issue in setupbase.py
* remove generated doc images in clean
* update copyright with new and removed files
* remove unreachable Stephan Peijnik from uploaders
  thank you for your work

17. By Julian Taylor on 2012-05-19

Fake sync due to mismatching orig tarball.

16. By Julian Taylor on 2012-04-22

* New upstream release (Closes: #655413, #663256)
  Repackaged to remove minified javascript files from source.
* add get-orig-source target to rules
* ipython-notebook: depend on libjs-mathjax instead of recommending.
  mathjax can't be securely served from cloudfront.
* debian/rules: delete build directory in clean
* remove transitional ipython-parallel package
* set HOME to build folder for doc build and tests (Closes: #665224)
* move all examples to ipython-doc
* move python-argparse to suggests (Closes: #653650)
* update standard version to 3.9.3, no changes needed
* override lintian desktop-command-not-in-package
* remove python-pymongo build dep, tests skipped without running mongod

15. By Julian Taylor on 2011-12-29

[ Julian Taylor ]
* New upstream release
  - fix qtconsole crash with nonsensical -c input (Closes: #642326)
* new package: ipython-notebook
* new python3 packages: ipython3, ipython3-qtconsole (Closes: #650725)
* refreshed patches
* parallel example folder renamed newparallel -> parallel
* drop upstream applied fix-version-checks-for-pyzmq-2.1.10.patch
* add patch for notebook to use libjs-mathjax and recommend it
* merge -parallel package back into ipython, add transitional package
* added python-tk build dependency for a test
* debian/copyright: update for the new notebook sources
* debian/rules:
  - do not install test sources
  - fail on testsuite error
  - install ipython svg to icons folder and patch desktop to use it
* debian/control: remove gtk suggests
* remove obsolete README.source for quilt

[ Piotr O┼╝arowski ]
* ipython-qtconsole: add python-pyside.qt{core,gui,svn} as an alternative
  dependency to python-qt4

14. By Julian Taylor on 2011-11-22

* upload to unstable
* add patch fix-version-checks-for-pyzmq-2.1.10.patch
* fix debianize-error-messages.patch to reraise unknown exceptions
* suggest python-zmq for ipython package
* use dh_sphinxdoc
  - bump sphinx dependency to >= 1.0.7+dfsg-1~, replace libjs-jquery
    dependency with ${sphinxdoc:Depends} and drop ipython-doc.links
* remove empty directory from ipython
* link duplicate images in ipython-doc
* remove obsolete Conflicts and Replaces

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
This branch contains Public information 
Everyone can see this information.

Subscribers